require 'book'
describe BookShelf do
  it "책을 추가할 수 있을 것" do
    shelf = BookShelf.new
    lambda {
      shelf.add(Book.new("도련님", "나쓰메 소세키"))
    }.should_not raise_error
  end

  it "추가한 책을 저자로 검색할 수 있을 것" do
    shelf = BookShelf.new
    shelf.add(Book.new("도련님", "나쓰메 소세키"))
    shelf.search("나쓰메").should == <<-EOF
1건 히트하였습니다
도련님: 나쓰메 소세키 저
    EOF
  end

  it "추가한 책을 타이틀로 검색할 수 있을 것" do
    shelf = BookShelf.new
    shelf.add(Book.new("인간실격", "다자이 오사무"))
    shelf.search("실격").should == <<-EOF
1건 히트하였습니다
인간실격: 다자이 오사무저
    EOF
  end
end
